package com.mosty.yszx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.yszx.TbYsSxtDto;
import com.mosty.base.model.entity.lzother.ZhjmxfXfqwXfqyGzdw;
import com.mosty.base.model.entity.yszx.TbYsSxt;
import com.mosty.base.model.query.yszx.TbYsSxtNoPageQuery;
import com.mosty.base.model.query.yszx.TbYsSxtPageOneQuery;
import com.mosty.base.model.query.yszx.TbYsSxtQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/7/19
 **/
public interface TbYsSxtService {

    @ApiOperation("摄像头新增")
    int insertEntity(TbYsSxtDto dto);

    @ApiOperation("摄像头修改")
    void updateEntity(TbYsSxtDto dto);

    @ApiOperation("查询摄像头分页列表")
    IPage<TbYsSxt> getPageList(TbYsSxtQuery dto);

    @ApiOperation("查询摄像头列表---不分页")
    List<TbYsSxt> getList(TbYsSxtNoPageQuery dto);

    @ApiOperation("查询摄像头详情信息")
    TbYsSxt getInfo(String id);

    @ApiOperation("删除摄像头信息")
    void delEntity(String id);

    @ApiOperation("查询摄像头-事件中心")
    List<TbYsSxt> getSjList(String jd ,String wd ,String sjid);

    @ApiOperation("摄像头新增")
    int insertEntity(TbYsSxt sxt);

    @ApiOperation("查询摄像头详情信息")
    TbYsSxt queryBySjlyid(String sjlyid);

    @ApiOperation("根据设备编号查询摄像头详情")
    TbYsSxtDto getInfoBySbbh(String sbbh);

    @ApiOperation("获取所有的感知源的设备编号")
    List<String> getSxtBhList(List<String> ids);

    @ApiOperation("添加泸州感知源数据")
    void addLzGzy(ZhjmxfXfqwXfqyGzdw dto);

    @ApiOperation("查询感知源信息")
    TbYsSxtDto selectGzy(TbYsSxtPageOneQuery dto);

    @ApiOperation("摄像头更新经纬度")
    void updateJwd();

    @ApiOperation("更新泸州感知源数据")
    void updateLzGzy();
}
